/*
 * @Author: xiachao 958053195@qq.com
 * @Date: 2023-09-05 19:48:35
 * @LastEditors: xiachao 958053195@qq.com
 * @LastEditTime: 2024-01-19 15:58:32
 * @FilePath: \ruoyi-ui\src\api\bizMonitor\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import newRequest from '@/utils/newRequest';

// 查询列表
export function getActivitieList(data) {
  return newRequest({
    url: '/activitie/list',
    method: 'post',
    data
  })
}

export function activitieAdd(data) {
  return newRequest({
    url: '/activitie/add',
    method: 'post',
    data
  })
}

export function activitieDetail(data) {
  return newRequest({
    url: '/activitie/detail',
    method: 'post',
    data
  })
}

export function activitieLogs(data) {
  return newRequest({
    url: '/activitie/logs',
    method: 'post',
    data
  })
}

export function activitieUpdate(data) {
  return newRequest({
    url: '/activitie/update',
    method: 'post',
    data
  })
}

export function activitieDown(data) {
  return newRequest({
    url: '/activitie/down',
    method: 'post',
    data
  })
}

export function activitieExport(data) {
  return newRequest({
    url: '/activitie/export',
    method: 'post',
    data
  })
}


export function activitieSuppliers(params) {
  return newRequest({
    url: '/activitie/suppliers',
    method: 'get',
    params
  })
}
export function logList(params) {
  return newRequest({
    url: '/pddActivity/getLog',
    method: 'get',
    params
  })
}

export function activitieAuditCancel(data) {
  return newRequest({
    url: '/activitie/audit/cancel',
    method: 'post',
    data
  })
}

export function activitieAuditSubmit(data) {
  return newRequest({
    url: '/activitie/audit/submit',
    method: 'post',
    data
  })
}

export function activitieRebateExport(data) {
  return newRequest({
    url: '/activitie/rebate/export',
    method: 'post',
    data
  })
}


export function activitieRepUpdate(data) {
  return newRequest({
    url: '/activitie/rep/update',
    method: 'post',
    data
  })
}

export function activitieSkuFile(data) {
  return newRequest({
    url: '/activitie/analysis/sku/file',
    method: 'post',
    data
  })
}

export function activitieUpdateDetail(data) {
  return newRequest({
    url: '/activitie/update/detail',
    method: 'post',
    data
  })
}

export function pddActivityList(data) {
  return newRequest({
    url: '/pddActivity/queryPage',
    method: 'post',
    data
  })
}

export function pddActivityAdd(data) {
  return newRequest({
    url: '/pddActivity/add',
    method: 'post',
    data
  })
}

export function pddActivityUpdate(data) {
  return newRequest({
    url: '/pddActivity/update',
    method: 'post',
    data
  })
}

export function pddActivityToggleSwitch(data) {
  return newRequest({
    url: '/pddActivity/toggleSwitch',
    method: 'post',
    data
  })
}